﻿
'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports __DailyAccount = LightSwitchApplication.DailyAccount

Namespace LightSwitchApplication

    #Region "Entities"
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class DailyAccount
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __DailyAccount, __DailyAccount.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the DailyAccount entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __DailyAccount))
            MyBase.New(entitySet)
            
            __DailyAccount.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub DailyAccount_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub DailyAccount_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __DailyAccount.DetailsClass.GetValue(Me, __DailyAccount.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __DailyAccount.DetailsClass.SetValue(Me, __DailyAccount.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __DailyAccount.DetailsClass.GetValue(Me, __DailyAccount.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __DailyAccount.DetailsClass.SetValue(Me, __DailyAccount.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property AccountDate As Date
            Get
                Return __DailyAccount.DetailsClass.GetValue(Me, __DailyAccount.DetailsClass.PropertySetProperties.AccountDate)
            End Get
            Set
                __DailyAccount.DetailsClass.SetValue(Me, __DailyAccount.DetailsClass.PropertySetProperties.AccountDate, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub AccountDate_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub AccountDate_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub AccountDate_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property BalanceForward As Decimal
            Get
                Return __DailyAccount.DetailsClass.GetValue(Me, __DailyAccount.DetailsClass.PropertySetProperties.BalanceForward)
            End Get
            Set
                __DailyAccount.DetailsClass.SetValue(Me, __DailyAccount.DetailsClass.PropertySetProperties.BalanceForward, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub BalanceForward_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub BalanceForward_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub BalanceForward_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property DailySales As Decimal
            Get
                Return __DailyAccount.DetailsClass.GetValue(Me, __DailyAccount.DetailsClass.PropertySetProperties.DailySales)
            End Get
            Set
                __DailyAccount.DetailsClass.SetValue(Me, __DailyAccount.DetailsClass.PropertySetProperties.DailySales, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub DailySales_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub DailySales_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub DailySales_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property DailyExpediture As Decimal
            Get
                Return __DailyAccount.DetailsClass.GetValue(Me, __DailyAccount.DetailsClass.PropertySetProperties.DailyExpediture)
            End Get
            Set
                __DailyAccount.DetailsClass.SetValue(Me, __DailyAccount.DetailsClass.PropertySetProperties.DailyExpediture, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub DailyExpediture_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub DailyExpediture_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub DailyExpediture_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property CashAtHand As Decimal
            Get
                Return __DailyAccount.DetailsClass.GetValue(Me, __DailyAccount.DetailsClass.PropertySetProperties.CashAtHand)
            End Get
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub CashAtHand_Compute(ByRef result As Decimal)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub CashAtHand_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property ChequeBanked As Decimal
            Get
                Return __DailyAccount.DetailsClass.GetValue(Me, __DailyAccount.DetailsClass.PropertySetProperties.ChequeBanked)
            End Get
            Set
                __DailyAccount.DetailsClass.SetValue(Me, __DailyAccount.DetailsClass.PropertySetProperties.ChequeBanked, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ChequeBanked_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ChequeBanked_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub ChequeBanked_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property CashBanked As Decimal
            Get
                Return __DailyAccount.DetailsClass.GetValue(Me, __DailyAccount.DetailsClass.PropertySetProperties.CashBanked)
            End Get
            Set
                __DailyAccount.DetailsClass.SetValue(Me, __DailyAccount.DetailsClass.PropertySetProperties.CashBanked, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub CashBanked_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub CashBanked_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub CashBanked_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property DailyBalance As Decimal
            Get
                Return __DailyAccount.DetailsClass.GetValue(Me, __DailyAccount.DetailsClass.PropertySetProperties.DailyBalance)
            End Get
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub DailyBalance_Compute(ByRef result As Decimal)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub DailyBalance_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __DailyAccount, _
                __DailyAccount.DetailsClass, _
                __DailyAccount.DetailsClass.IImplementation, _
                __DailyAccount.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __DailyAccount, __DailyAccount.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __DailyAccount, __DailyAccount.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __DailyAccount.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __DailyAccountEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __DailyAccount, __DailyAccount.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __DailyAccount, __DailyAccount.DetailsClass).Entry( _
                    AddressOf __DailyAccount.DetailsClass.__DailyAccount_CreateNew, _
                    AddressOf __DailyAccount.DetailsClass.__DailyAccount_Created, _
                    AddressOf __DailyAccount.DetailsClass.__DailyAccount_AllowSaveWithErrors)
            Private Shared Function __DailyAccount_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __DailyAccount)) As __DailyAccount
                Return New __DailyAccount(es)
            End Function
            Private Shared Sub __DailyAccount_Created(e As __DailyAccount)
                e.DailyAccount_Created()
            End Sub
            Private Shared Function __DailyAccount_AllowSaveWithErrors(e As __DailyAccount) As Boolean
                Dim result As Boolean = False
                e.DailyAccount_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __DailyAccount, __DailyAccount.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __DailyAccount, __DailyAccount.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __DailyAccount.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __DailyAccount, __DailyAccount.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__DailyAccount.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__DailyAccount.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property AccountDate As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Date)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__DailyAccount.DetailsClass.PropertySetProperties.AccountDate),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Date))
                    End Get
                End Property
                
                Public ReadOnly Property BalanceForward As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__DailyAccount.DetailsClass.PropertySetProperties.BalanceForward),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal))
                    End Get
                End Property
                
                Public ReadOnly Property DailySales As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__DailyAccount.DetailsClass.PropertySetProperties.DailySales),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal))
                    End Get
                End Property
                
                Public ReadOnly Property DailyExpediture As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__DailyAccount.DetailsClass.PropertySetProperties.DailyExpediture),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal))
                    End Get
                End Property
                
                Public ReadOnly Property CashAtHand As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__DailyAccount.DetailsClass.PropertySetProperties.CashAtHand),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal))
                    End Get
                End Property
                
                Public ReadOnly Property ChequeBanked As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__DailyAccount.DetailsClass.PropertySetProperties.ChequeBanked),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal))
                    End Get
                End Property
                
                Public ReadOnly Property CashBanked As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__DailyAccount.DetailsClass.PropertySetProperties.CashBanked),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal))
                    End Get
                End Property
                
                Public ReadOnly Property DailyBalance As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__DailyAccount.DetailsClass.PropertySetProperties.DailyBalance),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property AccountDate As Date
                Shadows Property BalanceForward As Decimal
                Shadows Property DailySales As Decimal
                Shadows Property DailyExpediture As Decimal
                Shadows Property ChequeBanked As Decimal
                Shadows Property CashBanked As Decimal
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __DailyAccount.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Integer).Data), d As __DailyAccount.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __DailyAccount) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __DailyAccount, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __DailyAccount.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __DailyAccount.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __DailyAccount)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __DailyAccount.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Byte()).Data), d As __DailyAccount.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __DailyAccount) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __DailyAccount, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __DailyAccount.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __DailyAccount.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __DailyAccount)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly AccountDate As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Date).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Date).Entry( _
                        "AccountDate", _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._AccountDate_Stub, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._AccountDate_ComputeIsReadOnly, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._AccountDate_Validate, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._AccountDate_GetImplementationValue, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._AccountDate_SetImplementationValue, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._AccountDate_OnValueChanged)
                Private Shared Sub _AccountDate_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __DailyAccount.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Date).Data), d As __DailyAccount.DetailsClass, sf As Object)
                    c(d, d._AccountDate, sf)
                End Sub
                Private Shared Function _AccountDate_ComputeIsReadOnly(e As __DailyAccount) As Boolean
                    Dim result As Boolean = False
                    e.AccountDate_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _AccountDate_Validate(e As __DailyAccount, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.AccountDate_Validate(r)
                End Sub
                Private Shared Function _AccountDate_GetImplementationValue(d As __DailyAccount.DetailsClass) As Date
                    Return d.ImplementationEntity.AccountDate
                End Function
                Private Shared Sub _AccountDate_SetImplementationValue(d As __DailyAccount.DetailsClass, v As Date)
                    d.ImplementationEntity.AccountDate = __DailyAccount.DetailsClass.TruncateDate(v)
                End Sub
                Private Shared Sub _AccountDate_OnValueChanged(e As __DailyAccount)
                    e.AccountDate_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly BalanceForward As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Entry( _
                        "BalanceForward", _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._BalanceForward_Stub, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._BalanceForward_ComputeIsReadOnly, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._BalanceForward_Validate, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._BalanceForward_GetImplementationValue, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._BalanceForward_SetImplementationValue, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._BalanceForward_OnValueChanged)
                Private Shared Sub _BalanceForward_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __DailyAccount.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Data), d As __DailyAccount.DetailsClass, sf As Object)
                    c(d, d._BalanceForward, sf)
                End Sub
                Private Shared Function _BalanceForward_ComputeIsReadOnly(e As __DailyAccount) As Boolean
                    Dim result As Boolean = False
                    e.BalanceForward_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _BalanceForward_Validate(e As __DailyAccount, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.BalanceForward_Validate(r)
                End Sub
                Private Shared Function _BalanceForward_GetImplementationValue(d As __DailyAccount.DetailsClass) As Decimal
                    Return d.ImplementationEntity.BalanceForward
                End Function
                Private Shared Sub _BalanceForward_SetImplementationValue(d As __DailyAccount.DetailsClass, v As Decimal)
                    d.ImplementationEntity.BalanceForward = v
                End Sub
                Private Shared Sub _BalanceForward_OnValueChanged(e As __DailyAccount)
                    e.BalanceForward_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly DailySales As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Entry( _
                        "DailySales", _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._DailySales_Stub, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._DailySales_ComputeIsReadOnly, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._DailySales_Validate, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._DailySales_GetImplementationValue, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._DailySales_SetImplementationValue, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._DailySales_OnValueChanged)
                Private Shared Sub _DailySales_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __DailyAccount.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Data), d As __DailyAccount.DetailsClass, sf As Object)
                    c(d, d._DailySales, sf)
                End Sub
                Private Shared Function _DailySales_ComputeIsReadOnly(e As __DailyAccount) As Boolean
                    Dim result As Boolean = False
                    e.DailySales_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _DailySales_Validate(e As __DailyAccount, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.DailySales_Validate(r)
                End Sub
                Private Shared Function _DailySales_GetImplementationValue(d As __DailyAccount.DetailsClass) As Decimal
                    Return d.ImplementationEntity.DailySales
                End Function
                Private Shared Sub _DailySales_SetImplementationValue(d As __DailyAccount.DetailsClass, v As Decimal)
                    d.ImplementationEntity.DailySales = v
                End Sub
                Private Shared Sub _DailySales_OnValueChanged(e As __DailyAccount)
                    e.DailySales_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly DailyExpediture As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Entry( _
                        "DailyExpediture", _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._DailyExpediture_Stub, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._DailyExpediture_ComputeIsReadOnly, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._DailyExpediture_Validate, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._DailyExpediture_GetImplementationValue, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._DailyExpediture_SetImplementationValue, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._DailyExpediture_OnValueChanged)
                Private Shared Sub _DailyExpediture_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __DailyAccount.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Data), d As __DailyAccount.DetailsClass, sf As Object)
                    c(d, d._DailyExpediture, sf)
                End Sub
                Private Shared Function _DailyExpediture_ComputeIsReadOnly(e As __DailyAccount) As Boolean
                    Dim result As Boolean = False
                    e.DailyExpediture_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _DailyExpediture_Validate(e As __DailyAccount, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.DailyExpediture_Validate(r)
                End Sub
                Private Shared Function _DailyExpediture_GetImplementationValue(d As __DailyAccount.DetailsClass) As Decimal
                    Return d.ImplementationEntity.DailyExpediture
                End Function
                Private Shared Sub _DailyExpediture_SetImplementationValue(d As __DailyAccount.DetailsClass, v As Decimal)
                    d.ImplementationEntity.DailyExpediture = v
                End Sub
                Private Shared Sub _DailyExpediture_OnValueChanged(e As __DailyAccount)
                    e.DailyExpediture_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly CashAtHand As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Entry( _
                        "CashAtHand", _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._CashAtHand_Stub, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._CashAtHand_Validate, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._CashAtHand_ComputeValue)
                Private Shared Sub _CashAtHand_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __DailyAccount.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Data), d As __DailyAccount.DetailsClass, sf As Object)
                    c(d, d._CashAtHand, sf)
                End Sub
                Private Shared Sub _CashAtHand_Validate(e As __DailyAccount, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.CashAtHand_Validate(r)
                End Sub
                Private Shared Function _CashAtHand_ComputeValue(e As __DailyAccount) As Decimal
                    Dim value As Decimal = Nothing
                    e.CashAtHand_Compute(value)
                    Return value
                End Function
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly ChequeBanked As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Entry( _
                        "ChequeBanked", _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._ChequeBanked_Stub, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._ChequeBanked_ComputeIsReadOnly, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._ChequeBanked_Validate, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._ChequeBanked_GetImplementationValue, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._ChequeBanked_SetImplementationValue, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._ChequeBanked_OnValueChanged)
                Private Shared Sub _ChequeBanked_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __DailyAccount.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Data), d As __DailyAccount.DetailsClass, sf As Object)
                    c(d, d._ChequeBanked, sf)
                End Sub
                Private Shared Function _ChequeBanked_ComputeIsReadOnly(e As __DailyAccount) As Boolean
                    Dim result As Boolean = False
                    e.ChequeBanked_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _ChequeBanked_Validate(e As __DailyAccount, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.ChequeBanked_Validate(r)
                End Sub
                Private Shared Function _ChequeBanked_GetImplementationValue(d As __DailyAccount.DetailsClass) As Decimal
                    Return d.ImplementationEntity.ChequeBanked
                End Function
                Private Shared Sub _ChequeBanked_SetImplementationValue(d As __DailyAccount.DetailsClass, v As Decimal)
                    d.ImplementationEntity.ChequeBanked = v
                End Sub
                Private Shared Sub _ChequeBanked_OnValueChanged(e As __DailyAccount)
                    e.ChequeBanked_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly CashBanked As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Entry( _
                        "CashBanked", _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._CashBanked_Stub, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._CashBanked_ComputeIsReadOnly, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._CashBanked_Validate, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._CashBanked_GetImplementationValue, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._CashBanked_SetImplementationValue, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._CashBanked_OnValueChanged)
                Private Shared Sub _CashBanked_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __DailyAccount.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Data), d As __DailyAccount.DetailsClass, sf As Object)
                    c(d, d._CashBanked, sf)
                End Sub
                Private Shared Function _CashBanked_ComputeIsReadOnly(e As __DailyAccount) As Boolean
                    Dim result As Boolean = False
                    e.CashBanked_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _CashBanked_Validate(e As __DailyAccount, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.CashBanked_Validate(r)
                End Sub
                Private Shared Function _CashBanked_GetImplementationValue(d As __DailyAccount.DetailsClass) As Decimal
                    Return d.ImplementationEntity.CashBanked
                End Function
                Private Shared Sub _CashBanked_SetImplementationValue(d As __DailyAccount.DetailsClass, v As Decimal)
                    d.ImplementationEntity.CashBanked = v
                End Sub
                Private Shared Sub _CashBanked_OnValueChanged(e As __DailyAccount)
                    e.CashBanked_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly DailyBalance As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Entry( _
                        "DailyBalance", _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._DailyBalance_Stub, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._DailyBalance_Validate, _
                        AddressOf __DailyAccount.DetailsClass.PropertySetProperties._DailyBalance_ComputeValue)
                Private Shared Sub _DailyBalance_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __DailyAccount.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Data), d As __DailyAccount.DetailsClass, sf As Object)
                    c(d, d._DailyBalance, sf)
                End Sub
                Private Shared Sub _DailyBalance_Validate(e As __DailyAccount, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.DailyBalance_Validate(r)
                End Sub
                Private Shared Function _DailyBalance_ComputeValue(e As __DailyAccount) As Decimal
                    Dim value As Decimal = Nothing
                    e.DailyBalance_Compute(value)
                    Return value
                End Function
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _AccountDate As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Date).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _BalanceForward As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _DailySales As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _DailyExpediture As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _CashAtHand As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _ChequeBanked As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _CashBanked As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _DailyBalance As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __DailyAccount, __DailyAccount.DetailsClass, Decimal).Data
            
        End Class
    
        #End Region
    
    End Class
    
    #End Region
End Namespace
